org.springframework.jdbc.core

## Class BatchUpdateUtils

- java.lang.Object
- - org.springframework.jdbc.core.BatchUpdateUtils

- Direct Known Subclasses:
    NamedParameterBatchUpdateUtils

  Deprecated.
  as of 5.1.3, not used by `JdbcTemplate` anymore

      @Deprecated
      public abstract class BatchUpdateUtils
      extends Object

  Generic utility methods for working with JDBC batch statements. Mainly for internal use within the framework.
  Since:
    3.0
  Author:
    Thomas Risberg, Juergen Hoeller

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BatchUpdateUtils()` Deprecated.

  - ### Method Summary

    All Methods Static Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `static int[]` | `executeBatchUpdate(String sql, List<Object[]> batchArgs, int[] columnTypes, JdbcOperations jdbcOperations)` Deprecated.
    `protected static void` | `setStatementParameters(Object[] values, PreparedStatement ps, int[] columnTypes)` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BatchUpdateUtils

          public BatchUpdateUtils()

      Deprecated.

  - ### Method Detail

    - #### executeBatchUpdate

          public static int[] executeBatchUpdate(String sql,
                                                 List<Object[]> batchArgs,
                                                 int[] columnTypes,
                                                 JdbcOperations jdbcOperations)

      Deprecated.

    - #### setStatementParameters

          protected static void setStatementParameters(Object[] values,
                                                       PreparedStatement ps,
                                                       @Nullable
                                                       int[] columnTypes)
                                                throws SQLException

      Deprecated.
      Throws:
        `SQLException`